#pragma once

#include <string>

#include "resource.hpp"

namespace hibis {
	class Shader : public Resource {
	public:
		Shader(std::string vertexShaderPath, std::string fragShaderPath);
		~Shader();
		unsigned int mShaderProgram = 0;
		unsigned int mShaderVAO = 0;
		unsigned int mShaderVBO = 0;

		std::string mShaderPaths[2];
	};
}
