#pragma once

#include <freetype/freetype.h>

#include "resource.hpp"

namespace hibis {
	class Font : public Resource {
	public:
		Font(FT_Library& lib, const char* path, u_int16_t size);
		~Font();

		void setFontSize(u_int16_t newSize);
		u_int16_t getCurrentSize() { return mCurrentSize; }

		const char* mPath;
	private:
		FT_Face mFontFace;

		u_int16_t mCurrentSize;
	};
}
